%bcond_without docs

%lib_package vdpau 1

Summary: A wrapper library that loads the appropriate implementation backend for VDPAU
Name: libvdpau
Version: 0.7
Release: 5%{?dist}
License: MIT
Group: System Environment/Libraries
URL: http://freedesktop.org/wiki/Software/VDPAU
Source0: http://people.freedesktop.org/~aplattner/vdpau/libvdpau-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++
BuildRequires: autoconf, automake, libtool
BuildRequires: libX11-devel, libXext-devel, pkgconfig
%if %{with docs}
BuildRequires: doxygen, graphviz
BuildRequires: %{_bindir}/pdftex
%endif
%lib_dependencies

%description
VDPAU is the Video Decode and Presentation API for UNIX. It provides
an interface to video decode acceleration and presentation hardware
present in modern GPUs.

The library used by applications that wish to use VDPAU is
libvdpau. This is a wrapper library that loads the appropriate
implementation backend. There is also a tracing library that can be
used to debug VDPAU applications.

%prep
%setup -q

%build
autoreconf -vif
export X11_CFLAGS=" " X11_LIBS=" "
%configure --disable-static \
  %{!?_with_docs:--disable-documentation}
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/vdpau/libvdpau_trace.so.*
%config(noreplace) %{_sysconfdir}/vdpau_wrapper.cfg

%changelog
* Thu Sep 19 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.7-5
- Update to 0.7.

* Sat Jan 30 2011 Paulo Roma <roma@lcg.ufrj.br> - 0.4.1-4
- Update to 0.4.1

* Thu Jul 22 2010 Paulo Roma <roma@lcg.ufrj.br> - 0.4-2
- Update to 0.4
- Added new files.

* Sat Nov 21 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.2-1
- Initial build.

